import { doFetch } from "@/utils/doFetch";

function getcolumns(setdrawer) {
  return [
    {
      tab: "未完成",
      key: "1",
      columns: [
        {
          title: "单据编号",
          dataIndex: "callMaterialNo",
          key: "callMaterialNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmMaterialApply/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.callMaterialNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "叫料单号",
                          dataIndex: "callMaterialNo",
                        },
                        {
                          title: "单据类型",
                          dataIndex: "taskTypeName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "documentStatusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remark",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.callMaterialNo}
              </a>
            );
          },
        },
        {
          title: "单据类型",
          dataIndex: "taskTypeName",
          key: "taskType",
          valueType: "select",
          options: [
            {
              value: "1",
              label: "生产叫料单",
            },
            {
              value: "2",
              label: "返工叫料单",
            },
            {
              value: "3",
              label: "生产补叫料单",
            },
          ],
        },
        {
          title: "出厂编号",
          dataIndex: "factoryNo",
          key: "factoryNo",
          fieldProps: {
            placeholder: "请选择",
          },
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "产品型号",
          dataIndex: "productModel",
          hideInSearch: true,
          key: "productModel",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "工单号",
          dataIndex: "jobNo",
          key: "jobNo",
          span: 3,
        },
        {
          title: "铁芯需求",
          dataIndex: "coreDemand",
          key: "coreDemand",
          hideInSearch: true,
        },
        {
          title: "线圈需求",
          dataIndex: "coilDemand",
          key: "coilDemand",
          hideInSearch: true,
        },
        {
          title: "目标区域",
          dataIndex: "targetAreaName",
          key: "targetAreaName",
          hideInSearch: true,
        },
        {
          title: "目标位置",
          dataIndex: "targetAreaPosition",
          key: "targetAreaPosition",
          hideInSearch: true,
        },
        {
          title: "单据状态",
          dataIndex: "documentStatus",
          key: "documentStatus",
          hideInSearch: true,
          render: (_, row) => {
            return (
              <span>
                {row?.documentStatusName}
                {row?.executeType
                  ? row?.executeType == 1
                    ? "（线圈）"
                    : "（铁芯）"
                  : null}
              </span>
            );
          },
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTime",
          hideInSearch: true,
          valueType: "textarea",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmMaterialApply/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApply/queryById",
      },
    },
    {
      tab: "已完成",
      key: "2",
      columns: [
        {
          title: "单据编号",
          dataIndex: "callMaterialNo",
          key: "callMaterialNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmMaterialApplyHis/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.callMaterialNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "叫料单号",
                          dataIndex: "callMaterialNo",
                        },
                        {
                          title: "单据类型",
                          dataIndex: "taskTypeName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "documentStatusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remark",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.callMaterialNo}
              </a>
            );
          },
        },
        {
          title: "单据类型",
          dataIndex: "taskTypeName",
          key: "taskType",
          valueType: "select",

          options: [
            {
              value: "1",
              label: "生产叫料单",
            },
            {
              value: "2",
              label: "返工叫料单",
            },
            {
              value: "3",
              label: "生产补叫料单",
            },
          ],
        },
        {
          title: "出厂编号",
          dataIndex: "factoryNo",
          key: "factoryNo",
          fieldProps: {
            placeholder: "请选择",
          },
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "产品型号",
          dataIndex: "productModel",
          hideInSearch: true,
          key: "productModel",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "工单号",
          dataIndex: "jobNo",
          key: "jobNo",
          span: 3,
        },
        {
          title: "铁芯需求",
          dataIndex: "coreDemand",
          key: "coreDemand",
          hideInSearch: true,
        },
        {
          title: "线圈需求",
          dataIndex: "coilDemand",
          key: "coilDemand",
          hideInSearch: true,
        },
        {
          title: "目标区域",
          dataIndex: "targetAreaName",
          key: "targetAreaName",
          hideInSearch: true,
        },
        {
          title: "目标位置",
          dataIndex: "targetAreaPosition",
          key: "targetAreaPosition",
          hideInSearch: true,
        },
        {
          title: "单据状态",
          dataIndex: "documentStatus",
          key: "documentStatus",
          hideInSearch: true,
          render: (_, row) => {
            return <span>{row?.documentStatusName}</span>;
          },
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTime",
          hideInSearch: true,
          valueType: "textarea",
        },
        {
          title: "完成时间",
          dataIndex: "finishTime",
          key: "finishTimeList",
          valueType: "dateRange",
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        edit: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmMaterialApplyHis/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApplyHis/queryById",
      },
    },
  ];
}

export default getcolumns;
